Tugger the SLUGger!SLUG Mailing List Archives

Re: [SLUG] slmodemd


Howard Lowndes wrote:

Keith Hopkins wrote:
Howard Lowndes wrote:
I'm trying to get slmodemd running on a Toshiba lappy.

It used to work under the 2.6.15 kernel and compiles under 2.6.16 (FC5
build 2111), but won't start because the slamr module won't load:

# modprobe slamr
FATAL: Error inserting slamr
(/lib/modules/2.6.16-1.2111_FC5/extra/slamr.ko): Invalid argument

As far as I can make out I am working with the latest version which is
about 6 months old - slmodem-2.9.11-20051101.tar.gz

Has anyone got any later information, or is there any way I can diagnose
it deeper?


Hi Howard,

  Did the slamr code change?

No, the code has not changed, but the kernel has. The kernel change cause me some problems in other modules I need to compile such as wifi drivers and asterisk, but there they wouldn't compile until I changed the code in the module; in the case of slamr it compiles but won't load.

If so, I'd check /etc/modprobe.conf* for any "option" lines for slamr to be sure they are still valid with the version of slamr you are using.

There are no options required for slamr in /etc/modprobe.conf


Does `insmod /lib/modules/2.6.16-1.2111_FC5/extra/slamr.ko` produce anything different? anything in `dmesg`?

Yes, it does:
slamr: module license 'Smart Link Ltd.' taints kernel.
slamr: falsely claims to have parameter debug

Does this offer a clue?

Yes, Here's what looks to be the fix: http://www.redhat.com/archives/rhl-list/2006-May/msg02713.html

P.S. Google is your friend.